var damage : int = 20;
var constant : boolean = false;

function OnCollisionEnter(col : Collision){
	if(!constant){
		if(col.gameObject.CompareTag("Player")){
			col.gameObject.GetComponent("MouseStats").TakeDamage(damage);
		}
	}
}

function OnTriggerEnter(col : Collider){
	if(!constant){
		if(col.gameObject.CompareTag("Player")){
			col.gameObject.GetComponent("MouseStats").TakeDamage(damage);
		}
	}
}

function OnTriggerStay(col : Collider){
	if(constant){
		if(col.gameObject.CompareTag("Player")){
			col.gameObject.GetComponent("MouseStats").TakeDamage(damage * Time.deltaTime);
		}
	}
}

function OnCollisionStay(col : Collision){
	if(constant){
		if(col.gameObject.CompareTag("Player")){
			col.gameObject.GetComponent("MouseStats").TakeDamage(damage * Time.deltaTime);
		}
	}
}